Bug 150258 - RFE: should allow the Default gdm theme link to be changed
RFE: should allow the Default gdm theme link to be changed
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-artwork (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
: FutureFeature
Depends On:
Blocks: 150357
  Show dependency treegraph
Reported: 2005-03-03 18:14 EST by jmccann
Modified: 2015-01-14 18:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-29 16:22:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jmccann 2005-03-03 18:14:05 EST
redhat-artwork "owns" the %{_datadir}/gdm/themes/Default link.  If it is changed
by a sysadmin it will be reset the next time redhat-artwork is installed.

The link could be marked as %config(noreplace) or something equivalent.

Here are the two relevant parts of the .spec:

ln -sf Bluecurve $RPM_BUILD_ROOT%{_datadir}/gdm/themes/Default

%files -f %{po_package}.lang
Comment 3 Suzanne Hillman 2005-03-04 16:38:48 EST
Internal bug #150357 entered; will be considered for future releases.
Comment 4 jmccann 2005-03-04 16:52:06 EST
Wow, what a bizarre response.  What is the point of having an internal bug?  One
of the reasons why I'm migrating away from Sun is stuff like this.
Comment 5 John (J5) Palmieri 2005-03-04 17:15:12 EST
Note that future release could mean the next update of RHEL-4. I don't know why
this is bizarre but this is a feature request and of low priority.  If I can get
to it I will but I would like time to think about it first.
Comment 6 jmccann 2005-03-04 17:36:19 EST

I mean using an internal / secret bug for this is weird.  This is the first time
that I have seen this happen in the Free Software world (except in cases where
security is a factor).  Acting a bit like a cathedral here...  Don't take it

Anyway, I'll just modify gdm.conf instead, it is marked with %config:
Comment 7 Jay Turner 2005-03-07 04:35:13 EST
It's not really strange at all.  We have internal tools which are used in
release planning and frequently open parallel issues there to track issues
reported here.  It's not "secret," just has no meaning outside of Red Hat.
Comment 8 John (J5) Palmieri 2005-03-29 16:21:55 EST
I'm going to close this.  After some thought I came to the conclusion that
modifying the gdm.conf file is the right way to change the behavior.  Marking 
%{_datadir}/gdm/themes/Default as a config file would be wrong.

Note You need to log in before you can comment on or make changes to this bug.